$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-20.1.315-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-20.1.315-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'CA1414A32A89CCC7DD476A788E18D0D429C35639ABB3DA7B139F4C27A358C435'
  checksumType = 'sha256'
  checksum64 = 'CA1414A32A89CCC7DD476A788E18D0D429C35639ABB3DA7B139F4C27A358C435'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-20.1.315-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
